Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.osm
Enum Aeroway

    java.lang.Object
      java.lang.Enum<Aeroway>
          org.ka2ddo.yaac.osm.Aeroway

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Aeroway>, AmenityOrWay, MaybeArea

    public enum Aeroway

extends java.lang.Enum<Aeroway>
implements AmenityOrWay, MaybeArea

Supported types of the OSM aeroway="*" attribute. See the definition of aeroway on the OpenStreetMap wiki.

Enum Constant Summary
`aerodrome` Boundary of an airport or airfield.
`apron` Parking area for aircraft.
`gate` A gate (passenger egress point for access to an airplane at an airport).
`helipad` Helicopter landing pad.
`navigationaid` Aviation navigational aid (VORTAC, NDB, etc.).
`runway` Path taken by a runway at an airport.
`taxiway` Taxiway between runway and other parts of the airport.
`terminal` Building at an airport where passengers and/or cargo wait to be loaded onto airplanes.
`user_defined` Other types of Ways at an airport or airfield.
`windsock` A windsock (passive mechanical wind direction and speed indicator).

Method Summary
`AmenityType` | `getAmenityType()` Get amenity type associated with this aeroway; only for types that are amenities.
`boolean` | `isArea()` Indicates whether this enum type implies an area.
`static Aeroway` | `value(java.lang.String name)` Get the enum value associated with the string name specified.
`static Aeroway` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Aeroway[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`WayType` | `wayType()` Report the WayType for rendering this type of Way.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### user_defined

    public static final Aeroway user_defined

  Other types of Ways at an airport or airfield.

### aerodrome

    public static final Aeroway aerodrome

  Boundary of an airport or airfield.

### runway

    public static final Aeroway runway

  Path taken by a runway at an airport.

### helipad

    public static final Aeroway helipad

  Helicopter landing pad.

### navigationaid

    public static final Aeroway navigationaid

  Aviation navigational aid (VORTAC, NDB, etc.).

### taxiway

    public static final Aeroway taxiway

  Taxiway between runway and other parts of the airport.

### windsock

    public static final Aeroway windsock

  A windsock (passive mechanical wind direction and speed indicator).

### gate

    public static final Aeroway gate

  A gate (passenger egress point for access to an airplane at an airport).

### terminal

    public static final Aeroway terminal

  Building at an airport where passengers and/or cargo wait to be loaded onto airplanes.

### apron

    public static final Aeroway apron

  Parking area for aircraft.

Method Detail

### values

    public static Aeroway[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Aeroway c : Aeroway.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Aeroway valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### wayType

    public WayType wayType()

  Report the WayType for rendering this type of Way.

  Specified by:
    `wayType` in interface `AmenityOrWay`
  Returns:
    WayType

### getAmenityType

    public AmenityType getAmenityType()

  Get amenity type associated with this aeroway; only for types that are amenities.

  Specified by:
    `getAmenityType` in interface `AmenityOrWay`
  Returns:
    AmenityType for this aeroway type, or null if not an amenity

### isArea

    public boolean isArea()

  Indicates whether this enum type implies an area.

  Specified by:
    `isArea` in interface `MaybeArea`
  Returns:
    boolean true if Ways with this attribute value are assumed to be areas

### value

    public static Aeroway value(java.lang.String name)

  Get the enum value associated with the string name specified.

  Parameters:
    `name` - String to convert into an Enum
  Returns:
    Aeroway for the string name, or null if no match

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD